org.eclipse.jetty.http.ssl

## Class SslContextFactory

- java.lang.Object
- - org.eclipse.jetty.util.component.AbstractLifeCycle
  - - org.eclipse.jetty.util.ssl.SslContextFactory
    - - org.eclipse.jetty.http.ssl.SslContextFactory

All Implemented Interfaces:
  LifeCycle

Deprecated.
Use org.eclipse.jetty.util.ssl.SslContextFactory

    public class SslContextFactory
    extends SslContextFactory

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`AbstractLifeCycle.AbstractLifeCycleListener`

### Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle

`LifeCycle.Listener`

### Field Summary

### Fields inherited from class org.eclipse.jetty.util.ssl.SslContextFactory

`DEFAULT_KEYMANAGERFACTORY_ALGORITHM, DEFAULT_KEYSTORE_PATH, DEFAULT_TRUSTMANAGERFACTORY_ALGORITHM, KEYPASSWORD_PROPERTY, PASSWORD_PROPERTY, TRUST_ALL_CERTS`

### Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

### Constructor Summary

Constructors
Constructor and Description
`SslContextFactory()` Deprecated.
`SslContextFactory(boolean trustAll)` Deprecated.
`SslContextFactory(String keyStorePath)` Deprecated.

### Method Summary

### Methods inherited from class org.eclipse.jetty.util.ssl.SslContextFactory

`addExcludeCipherSuites, addExcludeProtocols, checkKeyStore, checkNotStarted, customize, doStart, getCertAlias, getCrlPath, getExcludeCipherSuites, getExcludeProtocols, getIncludeCipherSuites, getIncludeProtocols, getKeyManagers, getKeyStore, getKeyStore, getKeyStoreInputStream, getKeyStorePath, getKeyStoreProvider, getKeyStoreType, getMaxCertPathLength, getNeedClientAuth, getOcspResponderURL, getProtocol, getProvider, getSecureRandomAlgorithm, getSslContext, getSslKeyManagerFactoryAlgorithm, getSslSessionCacheSize, getSslSessionTimeout, getTrustManagerFactoryAlgorithm, getTrustManagers, getTrustStore, getTrustStoreInputStream, getTrustStoreProvider, getTrustStoreType, getValidateCerts, getWantClientAuth, isAllowRenegotiate, isEnableCRLDP, isEnableOCSP, isSessionCachingEnabled, isTrustAll, isValidateCerts, isValidatePeerCerts, loadCRL, loadKeyStore, loadTrustStore, newSslEngine, newSslEngine, newSslServerSocket, newSslSocket, selectCipherSuites, selectProtocols, setAllowRenegotiate, setCertAlias, setCrlPath, setEnableCRLDP, setEnableOCSP, setExcludeCipherSuites, setExcludeProtocols, setIncludeCipherSuites, setIncludeProtocols, setKeyManagerPassword, setKeyStore, setKeyStore, setKeyStoreInputStream, setKeyStorePassword, setKeyStorePath, setKeyStoreProvider, setKeyStoreResource, setKeyStoreType, setMaxCertPathLength, setNeedClientAuth, setOcspResponderURL, setProtocol, setProvider, setSecureRandomAlgorithm, setSessionCachingEnabled, setSslContext, setSslKeyManagerFactoryAlgorithm, setSslSessionCacheSize, setSslSessionTimeout, setTrustAll, setTrustManagerFactoryAlgorithm, setTrustStore, setTrustStore, setTrustStoreInputStream, setTrustStorePassword, setTrustStoreProvider, setTrustStoreResource, setTrustStoreType, setValidateCerts, setValidatePeerCerts, setWantClientAuth, toString`

### Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle

`addLifeCycleListener, doStop, getState, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SslContextFactory

    public SslContextFactory()

Deprecated.

#### SslContextFactory

    public SslContextFactory(boolean trustAll)

Deprecated.

#### SslContextFactory

    public SslContextFactory(String keyStorePath)

Deprecated.